<div>
    <div>
        <div class="label">Username</div>
    </div>

    <div>
        <input id="username" />
    </div>

    <div>
        <button id="ok">Start</button>
    </div>
</div>

<script>
let Player;

$('#connectForm #ok').click( () => {
    const username = $('#connectForm #username').val();
    const errors = [];

    if (username.length < 8) {
        errors.push( 'Your nickname is small.' );
    }

    if (errors.length) 
        alert(errors[0]);
    else {
        socket.emit('registerNewPlayer', { name: username });
        
        socket.on('registerNewPlayerFinish', (data, player) => {
            if (data == true) {
                //Load game
                console.log(player)
                Player = player;

                //Visible elements
                $("#connectForm").fadeOut();
                $("#chat").fadeIn();

                console.log('Registration successfuly');
            } else {
                alert('Registration failed.');
            }
        });
    }
});

</script>

<style>
/* ConnectForm  */
#connectForm {
    position: absolute;
    width: 300px;
    height: 300px;
    background: rgba(0,0,0,0.2);
    left: calc(100% / 2 - 150px);
    top: calc(100% / 2 - 160px);
    padding: 20px 20px 20px 20px;
}

#connectForm div {
    margin: 10px 10px 30px 10px;
}

#connectForm input {
    width: 200px;
    height: 20px;
    background: black;
    border: 3px black solid;
    color: silver;
}

#connectForm button {
    width: 200px;
    height: 30px;
    min-width: 50px;
    background: gray;
}

#connectForm .label {
    font-size: 20px;
    color: rgb(128, 128, 128);
}
</style>
